Debian Bug report logs - #604363
Preparations for the removal of the KDE3 and Qt3 libraries

version graph

Package: src:nethack; Maintainer for src:nethack is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>;

Reported by: Eckhart Wörner <ewoerner@kde.org>

Date: Sun, 21 Nov 2010 19:48:05 UTC

Severity: important

Tags: sid, wheezy

Fixed in version nethack/3.4.3-13

Done: Ana Beatriz Guerrero Lopez <ana@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Joshua Kwan <joshk@triplehelix.org>:
Bug#604363; Package src:nethack. (Sun, 21 Nov 2010 19:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eckhart Wörner <ewoerner@kde.org>:
New Bug report received and forwarded. Copy sent to Joshua Kwan <joshk@triplehelix.org>. (Sun, 21 Nov 2010 19:48:08 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Eckhart Wörner <ewoerner@kde.org>
To: maintonly@bugs.debian.org
Subject: Preparations for the removal of the KDE3 and Qt3 libraries
Date: Sun, 21 Nov 2010 20:44:51 +0100
Source: nethack
Severity: wishlist
User: debian-qt-kde@lists.debian.org
Usertags: qt3libs-removal


Dear maintainer,

The Debian Qt/KDE team is planning to remove the KDE3 and Qt3 libraries from 
Debian shortly after the Squeeze release. The transition phase to KDE4 and Qt4 
will finish since both KDE and Nokia upstream don't maintain the old versions 
of those libraries anymore.

In order to make this move, all packages directly or indirectly depending on 
the KDE3/Qt3 libraries have to either get ported to KDE4/Qt4 or eventually get 
removed from the Debian repositories.

Therefore, please take the time and:
- contact your upstream (if existing) and ask about the state of a KDE4/Qt4 
port of your application
- if there are no activities regarding porting, investigate whether there are 
suitable alternatives for your users
- if there is a KDE4/Qt4 port that is not yet packaged, consider packaging it
- if both the KDE3/Qt3 and the KDE4/Qt4 version already coexist in the Debian 
archives, consider removing the KDE3/Qt3 version

Documentation on how to port to KDE4 can be found at:
http://techbase.kde.org/index.php?title=Development/Tutorials/KDE4_Porting_Guide

Documentation on how to port to Qt4 can be found at:
http://doc.qt.nokia.com/4.7/porting4.html

For any questions and issues, do not hesitate to contact the Debian Qt/KDE 
team at debian-qt-kde@lists.debian.org

Eckhart




Severity set to 'serious' from 'wishlist' Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Tue, 08 Feb 2011 11:28:05 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Thu, 10 Feb 2011 19:34:04 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com> to control@bugs.debian.org. (Sat, 26 Feb 2011 18:36:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Joshua Kwan <joshk@triplehelix.org>:
Bug#604363; Package src:nethack. (Sat, 19 May 2012 22:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Joshua Kwan <joshk@triplehelix.org>. (Sat, 19 May 2012 22:42:03 GMT) Full text and rfc822 format available.

Message #16 received at 604363@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: 604363@bugs.debian.org
Subject: Re: Bug#604363: Preparations for the removal of the KDE3 and Qt3 libraries
Date: Sun, 20 May 2012 00:38:02 +0200
On Sun, Nov 21, 2010 at 08:44:51PM +0100, Eckhart Wörner wrote:
> Source: nethack
> Severity: wishlist
> User: debian-qt-kde@lists.debian.org
> Usertags: qt3libs-removal
> 
> 
> Dear maintainer,
> 
> The Debian Qt/KDE team is planning to remove the KDE3 and Qt3 libraries from 
> Debian shortly after the Squeeze release. The transition phase to KDE4 and Qt4 
> will finish since both KDE and Nokia upstream don't maintain the old versions 
> of those libraries anymore.
> 
> In order to make this move, all packages directly or indirectly depending on 
> the KDE3/Qt3 libraries have to either get ported to KDE4/Qt4 or eventually get 
> removed from the Debian repositories.
> 
> Therefore, please take the time and:
> - contact your upstream (if existing) and ask about the state of a KDE4/Qt4 
> port of your application
> - if there are no activities regarding porting, investigate whether there are 
> suitable alternatives for your users
> - if there is a KDE4/Qt4 port that is not yet packaged, consider packaging it
> - if both the KDE3/Qt3 and the KDE4/Qt4 version already coexist in the Debian 
> archives, consider removing the KDE3/Qt3 version
> 
> Documentation on how to port to KDE4 can be found at:
> http://techbase.kde.org/index.php?title=Development/Tutorials/KDE4_Porting_Guide
> 
> Documentation on how to port to Qt4 can be found at:
> http://doc.qt.nokia.com/4.7/porting4.html
>

Hello maintainer(s),

One year and a half later, it is about time to remove Qt3.
In the case of nethack, could you please drop from your binaries the tools
using Qt3 (nethack-qt)?

Thanks,
Ana





Reply sent to Ana Beatriz Guerrero Lopez <ana@debian.org>:
You have taken responsibility. (Sat, 19 May 2012 23:45:03 GMT) Full text and rfc822 format available.

Notification sent to Eckhart Wörner <ewoerner@kde.org>:
Bug acknowledged by developer. (Sat, 19 May 2012 23:45:03 GMT) Full text and rfc822 format available.

Message #21 received at 604363-close@bugs.debian.org (full text, mbox):

From: Ana Beatriz Guerrero Lopez <ana@debian.org>
To: 604363-close@bugs.debian.org
Subject: Bug#604363: fixed in nethack 3.4.3-13
Date: Sat, 19 May 2012 23:43:13 +0000
Source: nethack
Source-Version: 3.4.3-13

We believe that the bug you reported is fixed in the latest version of
nethack, which is due to be installed in the Debian FTP archive:

nethack-common_3.4.3-13_amd64.deb
  to main/n/nethack/nethack-common_3.4.3-13_amd64.deb
nethack-console_3.4.3-13_amd64.deb
  to main/n/nethack/nethack-console_3.4.3-13_amd64.deb
nethack-lisp_3.4.3-13_amd64.deb
  to main/n/nethack/nethack-lisp_3.4.3-13_amd64.deb
nethack-x11_3.4.3-13_amd64.deb
  to main/n/nethack/nethack-x11_3.4.3-13_amd64.deb
nethack_3.4.3-13.diff.gz
  to main/n/nethack/nethack_3.4.3-13.diff.gz
nethack_3.4.3-13.dsc
  to main/n/nethack/nethack_3.4.3-13.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 604363@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ana Beatriz Guerrero Lopez <ana@debian.org> (supplier of updated nethack package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 20 May 2012 00:40:52 +0200
Source: nethack
Binary: nethack-common nethack-console nethack-lisp nethack-x11
Architecture: source amd64
Version: 3.4.3-13
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Ana Beatriz Guerrero Lopez <ana@debian.org>
Description: 
 nethack-common - dungeon crawl game - common files
 nethack-console - dungeon crawl game - text-based interface
 nethack-lisp - dungeon crawl game - Lisp interface
 nethack-x11 - dungeon crawl game - X11 interface
Closes: 604363
Changes: 
 nethack (3.4.3-13) unstable; urgency=low
 .
   * QA upload, orphan package.
   * Drop nethack-qt. (Closes: #604363)
Checksums-Sha1: 
 2dab0ac89ec9350cff0ec2cce3e794b911157f26 2019 nethack_3.4.3-13.dsc
 3bf77d95233a1a8c3331ca4163c9c37585f5b7bf 109027 nethack_3.4.3-13.diff.gz
 994316ef7b0b18fa094d9c45b5a46ea752601bcf 472812 nethack-common_3.4.3-13_amd64.deb
 ae76e4c8222f02d7d390811e825274491f1515db 952604 nethack-console_3.4.3-13_amd64.deb
 5a81f57b0822b075441cd278bbbccd4e2fd073f5 943024 nethack-lisp_3.4.3-13_amd64.deb
 dd4cb289ad0daa0cfa007932dd745046c67326fa 1004134 nethack-x11_3.4.3-13_amd64.deb
Checksums-Sha256: 
 471f7d206fe3125912eadd577cd9592cf05d1af4c6f4599491d20fa299ee8691 2019 nethack_3.4.3-13.dsc
 0f05109bc5e3bb415318edf115563b8f68d602af6b4e7c978cad2e5fa47bdb5b 109027 nethack_3.4.3-13.diff.gz
 b99bb6225bc12e4f1a27ddbc5d71b8dbfc6140074cb35eafe3e977f274101888 472812 nethack-common_3.4.3-13_amd64.deb
 34e2a73816b2abadec596df9c9a8afedbfce52c0b0ab1d808d48b4513e02fe71 952604 nethack-console_3.4.3-13_amd64.deb
 6d3bf6cb468c0240e1adcdfaaa6e73e680490df72e2c3bb2f19b40066c7f0fd3 943024 nethack-lisp_3.4.3-13_amd64.deb
 ac8cd84da3e64c52f77b3dc2be8dfd928ea003cb1052f1283db9d90a84395e2c 1004134 nethack-x11_3.4.3-13_amd64.deb
Files: 
 d78bae7bd99151fc37b4066e5074ab9b 2019 games optional nethack_3.4.3-13.dsc
 1c707e5addac4058bd02db54417fe2db 109027 games optional nethack_3.4.3-13.diff.gz
 9f6802184884f610d22611c58d87830c 472812 games optional nethack-common_3.4.3-13_amd64.deb
 be37b4f581995a187d18d4a7d7174c32 952604 games optional nethack-console_3.4.3-13_amd64.deb
 8cc9fff72ed39b52008ec939db4a0133 943024 games optional nethack-lisp_3.4.3-13_amd64.deb
 489bac6de0eb270e0b7bb9c912ef644e 1004134 games optional nethack-x11_3.4.3-13_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Signed by Ana Guerrero

iQIcBAEBCAAGBQJPuCnbAAoJELNGT4lqoVlIc+sP/0ddaHXpl3To4wey8tchqJHl
0+EDivQaVxF1rT1NqssT6GqCAgxqll+8cMIcm1FzjrK0zA9EWpSaqSKduzCG2Ui2
NzsQZK6swQgJ+cEufgilQFtvtI2sowwdE2buokkDuR7DmtSg0/Pw4wJMvDqglHzd
g3Vf2Kox9xoRc2KZrgleKWZwwKbGduUAEh69J95mPlBrczxjJRYcmMtYaZvgK0gB
jbdFcOy3iv4KrQ5uZp2N9rG6ca2PF8UyUUjpCUujIBSXmgxa+Ke/uFZzJPiFLNyz
xor9Klb+TSRtbQVPgUjngA8XPAo5XxiQcCl98mcyaOwkq3nn764aFFjPWUk9VHjk
ETyCGm+7U9gwNgInrL/t9pITTzEqLgwymMW16HcB11au0PfeQRy9SV4PxeGj5b0l
UmF0/a/hJ8DqCv+u7sqRBQHLLod6EABU+yPf6PZNQd4Gbzl5rwif4qvOznbsnVlL
Y2goqtHT2CvB62YWOcxy41Wy5pzGcTkwDAgX8Zzd70kXtcHsa9/kY7GPsLl9NOFj
wXJRgfOjZkJbpNnC8FiCZKj3uPtnB8vVEX0rvozL4qWq3malCjdkcv5aEm0z5cBG
oJrer9gq2fXBv4odZmu5cKSMaORC7l5olk01njKHioEsYrzprDqtbb9ZAv/iJ1bu
POMENVGku0qw/RQeCIAj
=NenT
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 21 Jul 2012 07:31:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:28:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.